<!DOCTYPE HTML>
<html>

<head>
  <title>Wi-Fi Vehicle Lock</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <style>
    *,
    ::after,
    ::before {
      box-sizing: border-box;
    }

    .form-config {
      text-align: center;
      width: 100%;
      max-width: 400px;
      padding: 15px;
      margin: auto;
    }

    .form-fill {
      display: block;
      width: 100%;
      height: calc(1.5em + .75rem + 2px);
      border: 1px solid #ced4da;
    }

    button {
      cursor: pointer;
      border: 1px solid transparent;
      color: #fff;
      background-color: #007bff;
      border-color: #007bff;
      padding: .5rem 1rem;
      font-size: 1.25rem;
      line-height: 1.5;
      border-radius: .3rem;
      width: 50%;
    }

    form.lang-widget {
      position: relative;
      width: 100%;
      max-width: 400px;
      padding: 0;
      margin: 0;
    }

    div.lang-widget {
      position: absolute;
      left: 1%;
      font-size: .75rem;
      color: red;
    }
  </style>
  <script language="javascript">

    var s = "{C}";

    var timeout = null;

    function start() {

      if (s === -1) {
        clearTimeout(timeout);
        alert('Disconnected');
        return false;
      }

      document.getElementById('s').innerText = s.toString();

      timeout = setTimeout(function () {
        s--;
        start();
      }, 1000);

    }
    window.onload = start;
  </script>
</head>
{E}
<body>
  <main class="form-config">
    <form class="lang-widget">
      <div class="lang-widget">Disconnect after <span id="s"></span> seconds</div>
    </form>
    <br>
    <p>New PIN is saved!
    <br>Please save new PIN for the next connection.
    <br><strong>New PIN: </strong>{P}</p>
    <form method="GET" action="/">
      <button type="submit">HOME</button>
    </form>
  </main>

</body>

</html>
{V}
<body>
  <main class="form-config">
    <form class="lang-widget">
      <div class="lang-widget">Ngắt kết nối sau <span id="s"></span> giây</div>
    </form>
    <br>
    <p>Mã PIN mới đã được lưu!
    <br>Vui lòng ghi nhớ mã PIN mới cho lần kết nối tiếp theo.
    <br><strong>Mã PIN mới: </strong>{M}</p>
    <form method="GET" action="/vi">
      <button type="submit">Trang chủ</button>
    </form>
  </main>

</body>

</html>